% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 4.1
clc
Uq=10;
RZ=4;
UqZ=5.1;
UqBE=0.68;
RBE=400;
hFE=290;
GCE=50e-6;
IC=30e-3;
IB=IC/hFE;
IZ=100*IB;
U0=UqZ+RZ*IZ-RBE*IB-UqBE;
R1ber=(Uq-RZ*IZ-UqZ)/(IZ+IB);
R2ber=U0/(IB+IC);
disp(['R1ber =',sprintf(' %3.5f ',R1ber),' Ohm']);
disp(['R2ber =',sprintf(' %3.5f ',R2ber),' Ohm']);
R1=470;
R2=150;
G1=1/R1;
G2=1/R2;
IZmin=0.9*IZ;
U1=Uq-RZ*IZmin-UqZ;
I1=U1/R1;
IBmax=I1-IZmin;
Umin=UqZ+RZ*IZmin-RBE*IBmax-UqBE;
IVmax=(hFE+1)*IBmax+GCE*(Uq-Umin)-Umin/R2;
RVmin=Umin/IVmax;
disp(['RVmin =',sprintf(' %3.5f ',RVmin),' Ohm']);
IqBE=UqBE/RBE;
IqZ=UqZ/RZ;
GBE=1/RBE;
GZ=1/RZ;
hFE1=1+hFE;
M=[G2+GCE+GBE*hFE1 -GBE*hFE1; -GBE G1+GBE+GZ];
RS=[GCE*Uq-IqBE*hFE1; G1*Uq+IqBE+IqZ];
LV=linsolve(M, RS);
U0=LV(1);
disp(' ');
disp(['Uqe =',sprintf(' %3.5f ',U0),' V']);
RS=[1; 0];
LV=linsolve(M, RS);
Rie=LV(1);
disp(['Rie =',sprintf(' %3.5f ',Rie),' Ohm']);

