% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 6.5
clc
syms sp1 sp2 wg;
format long;
b2g=180/pi;
C1=15e-9;
C2=15e-9;
Ri=50;
RV=50;
GV=1/RV;
a=(Ri*GV*C1+C1+C2)/(Ri*C1*C2);
b=GV/(Ri*C1*C2);
sp1=(-a+sqrt(a^2-4*b))/2;
sp2=(-a-sqrt(a^2-4*b))/2;
K=1/(Ri*C2);
fm=sqrt(sp1*sp2)/(2*pi);
Uq=1;
Tm=-K/(sp1+sp2);
Pmax=GV*Uq^2*Tm^2;
m=0;
disp(['Pmax =',sprintf(' %3.5f ',1000*Pmax),' mW']);
x=solve('(wg-sp1*sp2/wg)^2=(sp1+sp2)^2',wg);
y=subs(x);
for k=1:4;
   if y(k)>0; 
       m=m+1;
       fg(m)=y(k)/(2*pi);
   end;
end;
disp(['fgo =',sprintf(' %3.5f ',0.001*fg(1)),' kHz']);
disp(['fgu =',sprintf(' %3.5f ',0.001*fg(2)),' kHz']);