% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 8.2
clc
format long;
C1=22e-6;
C2=10e-6;
R=1000;
U10=480;
Ce=1/(1/C1+1/C2);
I0=U10/R;
tau=R*Ce;
U2=I0*tau/C2;
figure;
plot([-tau 0],[0 0]); hold on;
xa=0;
ya=0;
for k=1:51
    xn=(k-1)*tau/10;
    yn=I0*exp(-xn/tau);
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end;
figure;
plot([-tau 0],[0 0]); hold on;
xa=0;
ya=0;
for k=1:51
    xn=(k-1)*tau/10;
    yn=I0*tau*(1-exp(-xn/tau))/C2;
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end;
figure;
U2=I0*tau/C2;
plot([-tau 0],[U10 U10]); hold on;
xa=0;
ya=U10;
for k=1:51
    xn=(k-1)*tau/10;
    yn=U2+(U10-U2)*exp(-xn/tau);
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end;