% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 5.5
clc
format long;
b2g=180/pi;
Uq=10;
f=1200;
w=2*pi*f;
G=0.001;
L=80e-3;
C=0.16e-6;
Yp=G + 1/(j*w*L);
phi=b2g*angle(Yp);
disp(['Y =',sprintf(' %5.5f ',1000*abs(Yp)),' mS /_',sprintf(' %3.3f ',phi),'']);
Zg=1/(j*w*C) + 1/Yp;
phi=b2g*angle(Zg);
disp(['Z =',sprintf(' %5.5f ',abs(Zg)),' Ohm /_',sprintf(' %3.3f ',phi),'']);
Ig=Uq/Zg;
phi=b2g*angle(Ig);
disp(['I =',sprintf(' %5.5f ',1000*abs(Ig)),' mA /_',sprintf(' %3.3f ',phi),'']);
UC=Ig/(j*w*C);
phi=b2g*angle(UC);
disp(['UC =',sprintf(' %5.5f ',abs(UC)),' V /_',sprintf(' %3.3f ',phi),'']);
UP=Uq-UC;
phi=b2g*angle(UP);
disp(['UP =',sprintf(' %5.5f ',abs(UP)),' V /_',sprintf(' %3.3f ',phi),'']);
I1=G*UP;
phi=b2g*angle(I1);
disp(['I1 =',sprintf(' %5.5f ',1000*abs(I1)),' mA /_',sprintf(' %3.3f ',phi),'']);
I2=UP/(j*w*L);
phi=b2g*angle(I2);
disp(['I2 =',sprintf(' %5.5f ',1000*abs(I2)),' mA /_',sprintf(' %3.3f ',phi),'']);
disp(' ');
Wm=L*abs(I2)^2;
Wel=C*abs(UC)^2;
disp(['Wm =',sprintf(' %5.5f ',1.0e6*Wm),' uW']);
disp(['Wel =',sprintf(' %5.5f ',1.0e6*Wel),' uW']);