% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 6.11
clc
format long;
Iq=4.0e-3;
Gi=13.33e-3;
C=100.0e-12;
L=25.3e-9;
RV=150;
GV=1/RV;
fr=1/(2*pi*sqrt(L*C));
disp(['fr =',sprintf(' %3.5f ',fr/1.0e6),' MHz']);
IVmax=Iq*GV/(Gi+GV);
disp(['IVmax =',sprintf(' %3.5f ',1000*IVmax),' mA']);
PVmax=RV*IVmax^2;
disp(['PVmax =',sprintf(' %3.5f ',1000*PVmax),' mW']);
aPmax=10*log10(PVmax/0.001);
disp(' ');
disp(['aPmax =',sprintf(' %3.5f ',aPmax),' dB']);
G=Gi+GV;
Q=sqrt(C/L)/G;
disp(' ');
W=sqrt(1+1/(2*Q)^2);
fgu=fr*(W-1/(2*Q));
fgo=fr*(W+1/(2*Q));
disp(['fgu =',sprintf(' %3.5f ',1.0e-6*fgu),' MHz']);
disp(['fgo =',sprintf(' %3.5f ',1.0e-6*fgo),' MHz']);