% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 6.6
clc
syms sp1 sp2 x W1 W2;
format long;
b2g=180/pi;
C=1.0e-9;
R=1000;
G=1/R;
a=4*G/(3*C);
b=G^2/(3*C^2);
sP1=(-a+sqrt(a^2-4*b))/2;
sP2=(-a-sqrt(a^2-4*b))/2;
wbez=1.0e6;
W1=sP1/wbez;
W2=sP2/wbez;
y=solve('2*x^4=(x^2+W1^2)*(x^2+W2^2)',x);
sP=subs(y);
Wg=sP(1);
fg=Wg*wbez/(2*pi);
disp(['fg =',sprintf(' %3.5f ',0.001*fg),' kHz']);
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2)
T=(j*W)^2/((j*W-W1)*(j*W-W2));
aT=20*log10(abs(T));
xa=log10(W);
ya=aT;
for k=2:40
    W=10^(0.1*k-2);
    T=(j*W)^2/((j*W-W1)*(j*W-W2));
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=aT;
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2)
T=(j*W)^2/((j*W-W1)*(j*W-W2));
xa=log10(W);
ya=b2g*angle(T);
for k=2:40
    W=10^(0.1*k-2);
    T=(j*W)^2/((j*W-W1)*(j*W-W2));
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=b2g*angle(T);
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end

