% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 8.6
clc
format long;
R1=50;
R2=220;
L=12.0e-6;
C=1.8e-9;
Uq=12;
K=Uq/(L*C);
zwoa=1/(R2*C)+R1/L;
a=zwoa/2;
bq=(1+R1/R2)/(L*C);
wd=sqrt(bq-a^2);
figure;
plot([0 0],[0 0]); hold on;
xa=0;
ya=0;
for k=1:200
    xn=k/1.0e8;
    yn=(K/bq)*(1-(cos(wd*xn)+(a/wd)*sin(wd*xn))*exp(-a*xn));
    plot([xa xn], [ya yn]);
    xa=xn; ya=yn;
end;