% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 9.3
clc
disp('Aufgabe 9.3');
b2g=180/pi;
R=150;
C=80e-9;
L=10e-3;
ua=[15 7 5 3 2 1];
ub=[0 4 -3 -1 0 0.5];
for k=1:6;
    udach(k)=sqrt(ua(k)^2 + ub(k)^2);
    phi(k)=-b2g*atan(ub(k)/ua(k));
end;
Ueff=udach(1)^2;
for k=2:6;
    Ueff=Ueff+0.5*udach(k)^2;
end;   
Ueff=sqrt(Ueff);
disp(['U =',sprintf(' %2.4f ',Ueff),' V']);
I0=udach(1)/R;
disp(['I0 =',sprintf(' %3.4f ',1000*I0),' mA']);
for k=2:6;
    w(k)=(k-1)*2*pi*800;
    Y(k)=j*w(k)*C+1/(R+j*w(k)*L);
    idach(k)=udach(k)*abs(Y(k));
end;
Ieff=I0^2;
for k=2:6;
    Ieff=Ieff+0.5*idach(k)^2;
end;
Ieff=sqrt(Ieff);
disp(['Ieff =',sprintf(' %3.4f ',1000*Ieff),' mA']);
disp(' ');
S=Ueff*Ieff;
disp(['S =',sprintf(' %2.5f ',S),' VA']);
P=udach(1)*I0;
for k=2:6;
    P=P+0.5*udach(k)*idach(k)*cos(-angle(Y(k)));
end;
disp(['P =',sprintf(' %2.5f ',P),' W']);
Qb=sqrt(S^2-P^2);
disp(['QBetrag =',sprintf(' %2.5f ',Qb),' var']);