% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 9.4
clc
disp('Aufgabe 9.4');
disp(' ');
disp('komplexe Spektraldichte');
b2g=180/pi;
T=70e-6;
TA=10e-6;
w1=2*pi/T;
u=[0 1 2 3 4 5 6];
vf=TA/sqrt(2*pi);
for k=0:3;
    disp(' ');
    Sr=0; Si=0;
    for m=1:7;
        n=m-4;
        Sr=Sr+u(m)*cos(2*pi*k*n/7);
        Si=Si+u(m)*sin(-2*pi*k*n/7);
    end;
    S1=vf*(Sr+j*Si);
    disp(['k = ',sprintf(' %2d ',k)]);
    disp(['Ud =',sprintf(' %3.4f ',1.0e6*abs(S1)),' uV/Hz']);
    disp(['phid =',sprintf(' %3.4f ',b2g*angle(S1)),' Grad']);
    S(k+4)=S1;
    if k>0; S(4-k)=conj(S1); end;
end;
disp(' ');
disp('Rcktransformation');
disp(' ');
vf=w1/sqrt(2*pi);
for n=-3:3;
    ur=0;
    for m=1:7;
        k=m-4;
        w=2*pi*k*n/7;
        ur=ur+S(m)*(cos(w)+j*sin(w));
    end;
    ur=vf*ur;
    disp(['n = ',sprintf(' %2d ',n)]);
    disp(['ur =',sprintf(' %2.4e ',abs(ur)),' V']);
    disp(['phi =',sprintf(' %2.4e ',b2g*angle(ur)),' Grad']);
end;